Bug 1401603 (CVE-2016-9577)

Summary: CVE-2016-9577 spice: Buffer overflow in main_channel_alloc_msg_rcv_buf when reading large messages
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: alexl, alon, bmcclain, cfergeau, dblechte, dfediuck, djasa, dmoppert, dougsland, eedri, fdeutsch, hdegoede, jforbes, lsurette, marcandre.lureau, mgoldboi, michal.skrivanek, mkenneth, pstehlik, rbarry, Rhev-m-bugs, rh-spice-bugs, sandmann, sbonazzo, security-response-team, sherold, srevivo, uril, virt-maint, ycui, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: spice 0.13.90 Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was discovered in SPICE in the server's protocol handling. An authenticated attacker could send crafted messages to the SPICE server causing a heap overflow leading to a crash or possible code execution.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:03:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1401038, 1403046, 1403047, 1403048, 1403049, 1419134, 1432532    
Bug Blocks: 1401604, 1419717    

Description Adam Mariš 2016-12-05 16:26:14 UTC
A buffer overflow vulnerability in main_channel_alloc_msg_rcv_buf was found that occurs when reading large messages due to missing buffer size check.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1401038

Comment 1 Adam Mariš 2016-12-05 16:26:24 UTC
Acknowledgments:

Name: Frediano Ziglio (Red Hat)

Comment 5 David Jaša 2017-01-24 17:34:58 UTC
This bug is fixed in spice-0.12.4-20.el7_3.

Comment 7 errata-xmlrpc 2017-02-06 04:53:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0254 https://rhn.redhat.com/errata/RHSA-2017-0254.html

Comment 8 errata-xmlrpc 2017-02-06 04:54:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0253 https://rhn.redhat.com/errata/RHSA-2017-0253.html

Comment 10 Frediano Ziglio 2017-03-08 21:03:43 UTC
Shouldn't this bug been closed?

Comment 11 Adam Mariš 2017-03-14 09:04:54 UTC
(In reply to Frediano Ziglio from comment #10)
> Shouldn't this bug been closed?

No, there are still open trackers for this bug.

Comment 12 Adam Mariš 2017-03-15 15:20:13 UTC
Created spice tracking bugs for this issue:

Affects: fedora-all [bug 1432532]

Comment 13 errata-xmlrpc 2017-03-16 15:37:26 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:0552 https://access.redhat.com/errata/RHSA-2017:0552

Comment 14 errata-xmlrpc 2017-03-16 15:38:55 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:0549 https://rhn.redhat.com/errata/RHSA-2017-0549.html